package org.apache.maven.model.converter.relocators;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

/**
 * A <code>PluginRelocator</code> for the maven-developer-activity-plugin.
 *
 * @author Dennis Lundberg
 * @version $Id: DeveloperActivityPluginRelocator.java 661727 2008-05-30 14:21:49Z bentmann $
 * @plexus.component role="org.apache.maven.model.converter.relocators.PluginRelocator"
 * role-hint="developer-activity"
 */
public class DeveloperActivityPluginRelocator extends AbstractPluginRelocator
{
    /**
     * @see org.apache.maven.model.converter.relocators.AbstractPluginRelocator#getNewArtifactId()
     */
    public String getNewArtifactId()
    {
        return "maven-changelog-plugin";
    }

    /**
     * @see org.apache.maven.model.converter.relocators.AbstractPluginRelocator#getNewGroupId()
     */
    public String getNewGroupId()
    {
        return "org.apache.maven.plugins";
    }

    /**
     * @see org.apache.maven.model.converter.relocators.AbstractPluginRelocator#getOldArtifactId()
     */
    public String getOldArtifactId()
    {
        return "maven-developer-activity-plugin";
    }
}
